petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCompositeGetLocalVectors

Gets local vectors for each part of a DMComposite. Use DMCompositeRestoreLocalVectors() to return them.

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGetLocalVectors(DM dm,...)

Not Collective

### Input Parameter

dm -the packer object

### Output Parameter

Vec ... -the individual sequential Vecs

Not available from Fortran

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), DMCompositeRestoreLocalVectors(), DMCompositeScatter(), DMCompositeGetEntries()

### Level

advanced

### Location

src/dm/impls/composite/pack.c

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages